package com.ym.mec.cms.controller.queryinfo;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.ym.mec.cms.dal.entity.NewsStatusEnum;
import com.ym.mec.common.page.QueryInfo;

public class NewsInformationQueryInfo extends QueryInfo {

	@ApiModelProperty(value = "类型,1精彩活动，2热门资讯,3banner类型", required = false)
	private Integer type;

	@ApiModelProperty(value = "资讯状态", required = false)
	private NewsStatusEnum status;

	@ApiModelProperty(value = "标题", required = false)
	private String title;
	
	private Date date;

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public NewsStatusEnum getStatus() {
		return status;
	}

	public void setStatus(NewsStatusEnum status) {
		this.status = status;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}
}
